﻿.sds-tree-grid .dx-treelist-header-panel {
    border: 1px solid #e8eaeb;
    border-top-right-radius: 1.75rem;
    background-color: #fff;
    border-top-left-radius: 1.75rem;
}

.sds-tree-grid .dx-treelist-header-panel .dx-toolbar-items-container {
    height: 3.5rem;
}

.tree-grid-title {
    color: var(--sds-grey-900);
    font-size: 1rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.5rem;
    /* padding: 6px 12px; */
}

.tree-grid-item-count,
.tree-grid-child-count {
    border-radius: 0.625rem;
    background: var(--sds-grey-300, #F0F4F4);
    color: var(--sds-grey-800, #2D3232);
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.125rem;
    display: inline-block;
    height: 1.125rem;
    padding: 0 0.5rem;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.sds-tree-grid .dx-treelist-header-panel .dx-treelist-search-panel {
    padding: 3px;
    border-radius: 0.375rem;
    margin-right: 0.75rem;
    border: 1px solid var(--sds-grey);
}

.sds-tree-grid .dx-treelist-header-panel .dx-treelist-search-panel .dx-icon-search::before {
    content: "";
    display: inline-block;
    width: 1rem;
    /* desired size */
    height: 1rem;
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9.0625 15.625C12.6869 15.625 15.625 12.6869 15.625 9.0625C15.625 5.43813 12.6869 2.5 9.0625 2.5C5.43813 2.5 2.5 5.43813 2.5 9.0625C2.5 12.6869 5.43813 15.625 9.0625 15.625Z' stroke='%23879090' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'%3E%3C/path%3E%3Cpath d='M13.7036 13.703L17.5005 17.4999' stroke='%23879090' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'%3E%3C/path%3E%3C/svg%3E");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    /* margin-top: 4px; */
}

.sds-tree-grid .dx-treelist-header-panel .dx-treelist-search-panel .dx-icon-search {
    width: 1.5rem;
    height: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 0;
    top: 0;
    padding: 0;
}

.sds-tree-grid .dx-treelist-headers .dx-header-row {
    background: var(--sds-grey-200);
    height: 2.5rem;
    border-bottom: 0px;
}

.sds-tree-grid .dx-treelist-headers .dx-header-row td {
    vertical-align: middle !important;
    border: 0px;
    color: var(--sds-grey-700, #5A6161);
    font-size: 0.875rem;
    font-weight: 500;
    line-height: 1.25rem;
}

.sds-tree-grid .dx-treelist-table tr.dx-data-row {
    height: 2rem;
}

.sds-tree-grid .dx-treelist-table tr.dx-data-row td {
    padding: 0.625rem 1rem;
    font-size: 0.875rem;
    line-height: 1.25rem;
}

.sds-tree-grid .dx-treelist-table tr.dx-data-row td .dx-dropdownbutton .dx-button .dx-button-content {
    padding-block: 0px;
}

.sds-tree-grid .dx-treelist-table tr.dx-header-row td {
    padding: 0.5625rem 1rem;
}

.sds-tree-grid .dx-treelist-pager {
    background: #fff;
    padding: 0;
}

.sds-tree-grid .dx-treelist-pager .dx-pages {
    float: unset;
    display: flex;
    justify-content: space-between;
    height: 3.5rem;
    padding: 0.75rem 1rem;
}

.sds-tree-grid .dx-treelist-pager .dx-pages .dx-info {
    color: var(--sds-grey-800, #2D3232);
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.25rem;
    opacity: 1;
    display: flex;
    align-items: center;
}

.sds-tree-grid .dx-pager .dx-pages .dx-page,
.sds-tree-grid .dx-pager .dx-pages .dx-separator {
    height: 2rem;
    min-width: 2rem;
    padding: 0.375rem 0.75rem 0.375rem 0.75rem;
    margin: 0px !important;
    justify-content: center;
    align-items: center;
    border: 0.1px solid var(--sds-grey, #B6BFBF);
    border-left: 0px;
    font-size: 0.875rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.25rem;
}

.sds-tree-grid .dx-pager .dx-pages .dx-navigate-button {
      height: 1.125rem !important;
    padding: 0.375rem 0.75rem !important;
    justify-content: center;
    align-items: center;
    width: 0.875rem;
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.125rem;
    /* 150% */
    border: 1px solid var(--sds-grey, #B6BFBF);
    background: var(--sds-grey-000, #FFF);
    font-family: 'Inter';
}

.sds-tree-grid .dx-navigate-button.dx-prev-button.dx-button-disable {
    border-right: 1px solid black;
}

.sds-tree-grid .dx-pager .dx-pages .dx-prev-button {
    border-radius: 6px 0px 0px 6px;
}

.sds-tree-grid .dx-pager .dx-pages .dx-prev-button::before {
    content: '';
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M16.875 10H3.125' stroke='%23020303' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'%3E%3C/path%3E%3Cpath d='M8.75 4.375L3.125 10L8.75 15.625' stroke='%23020303' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'%3E%3C/path%3E%3C/svg%3E");
    width: 1rem;
    height: 1rem;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    margin-top: 0;
    margin-left: 0;
    left:30%;
    top: unset;
}

.sds-tree-grid .dx-pager .dx-pages .dx-next-button::before {
    content: '';
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M3.125 10H16.875' stroke='%23020303' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'%3E%3C/path%3E%3Cpath d='M11.25 4.375L16.875 10L11.25 15.625' stroke='%23020303' stroke-width='1.25' stroke-linecap='round' stroke-linejoin='round'%3E%3C/path%3E%3C/svg%3E");
    width: 1.0625rem;
    height: 1rem;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    margin-top: 0;
    margin-left: 0;
    left: 30%;
    top: unset;
}

.sds-tree-grid .dx-pager .dx-pages .dx-next-button {
    border-radius: 0px 6px 6px 0px;
    border-left: 0px;
}

.sds-tree-grid .dx-searchbox .dx-texteditor-input {
    padding: 2px 5px;
    padding-inline-start: 1.5rem;
    min-height: 1.5rem;
    font-size: 0.875rem;
}

.sds-tree-grid .sds-tree-grid-btn-primary {
    border: 1px solid var(--sds-primary);
    background: var(--sds-primary);
    color: white;
}

.sds-tree-grid .sds-tree-grid-btn-ticket {
    border: 1px solid var(--sds-grey);
    background: var(--sds-grey-000);
    color: var(--sds-grey-900);
}

.sds-tree-grid .sds-tree-grid-btn-ticket:hover {
    background: var(--sds-grey-200);
}

.sds-tree-grid .sds-tree-grid-btn {
    padding: 0.375rem 0.75rem;
    align-items: center;
    border-radius: 0.375rem;
    box-shadow: 0px 1px 0px 0px rgba(0, 0, 0, 0.05);
    font-size: 0.75rem;
    font-weight: 600;
    line-height: 1.125rem;
}

.sds-tree-grid .dx-toolbar .dx-toolbar-items-container .dx-toolbar-before,
.sds-tree-grid .dx-toolbar .dx-toolbar-items-container .dx-toolbar-after {
    padding: 0.625rem 1rem;
}

@media only screen and (max-width: 800px) {

    .sds-tree-grid .dx-toolbar-before,
    .sds-tree-grid .dx-toolbar-after {
        float: unset;
        display: block;
    }
}